Skip to main content
GET
List work orders

Authorizations

Authorization
string
header
required

Organization API key with an sk_live_ or sk_test_ prefix

Query Parameters

limit
integer
default:20

Maximum number of items to return from a Canary-native list (1-100)

Required range: 1 <= x <= 100
cursor
string

Pagination cursor from previous response

direction
enum<string>
default:desc

Sort direction

Available options:
asc,
desc
status
enum<string>

Filter by status (use 'todo' for open, on-hold, and in-progress work)

Available options:
open,
on_hold,
in_progress,
done,
canceled,
skipped,
todo
type
enum<string>

Filter by work-order type

Available options:
preventive,
reactive,
other,
cycle_count
priority
enum<string>

Filter by priority

Available options:
low,
medium,
high,
critical
asset_id
string

Filter by asset ID

location_id
string

Filter by location ID

assigned_to_user_id
string

Filter by assigned user ID

assigned_to_team_id
string

Filter by assigned team ID

Response

List of work orders

data
object[]
required
meta
object
required